package cn.com.countrygarden.bi.main.service.ck;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.advise.ProjectListVO;
import cn.com.countrygarden.bi.main.dto.advise.RegionListVO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.ck.res.CkResourcesRevenue;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.text.ParseException;
import java.util.List;

/**
 * <p>
 *   公共资源收入业务处理接口
 * </p>
 *
 * @author
 * @date 2021-06-29
 * @version V1.0
 */
public interface CkResourcesRevenueService {


    /**
     * 添加数据
     * @param ro
     * @return
     */
    Result add(CkResourcesRevenue ckResourcesRevenue,AccessToken accessToken);

    /**
     * 修改数据
     * @param ro
     * @return
     */
    Result edit(CkResourcesRevenue ckResourcesRevenue,AccessToken accessToken);

    Result queryPageList(CkResourcesRevenue cleanerQueyr,int page,int size,AccessToken accessToken);

    List<RegionListVO> getRegionDate(AccessToken accessToken);

    List<ProjectListVO> getPojDate(AccessToken accessToken, String organCode);

    Result getrevenue(AccessToken accessToken, HttpServletRequest request) throws IOException;

    Result queryById(Long id);

    Result toExamine(CkResourcesRevenue ckResourcesRevenue);

    Result auditorUser(String organCode,String commCode,AccessToken accessToken,HttpServletRequest request);

    Result auditReminder(AccessToken accessToken, HttpServletRequest request) throws ParseException;

    Result addone(CkResourcesRevenue ro,AccessToken accessToken, HttpServletRequest request);
}
